Bug 1734017 - activating the link for showing remediation in Openscap SSG guide is not possible for screenreaders
Summary: activating the link for showing remediation in Openscap SSG guide is not poss...
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openscap
Version: 8.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.2
Assignee: Jan Černý
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 12:58 UTC by Vojtech Polasek
Modified: 2020-01-15 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Vojtech Polasek 2019-07-29 12:58:46 UTC
Description of problem:

Using Orca screenreader with Firefox it is not possible to easily activate the "show" link which shows remediations in the HTML guide produced by OPenscap. Some HTML accessibility tag is probably missing.

Version-Release number of selected component (if applicable):

latest version

How reproducible:

deterministic

Steps to Reproduce:
1. Open any SSG guide and find some particular rule
2. Find the list of remediations
3. Try to navigate with Orca screenreader and search for the "show" link.

Actual results:

The screeenreader can't find the link. It is not in the list of links, nor it can't be navigated upon with tab / other navigation keys.
Expected results:

It should be possible to navigate to this link.

Additional info:

Comment 1 Marek Haicman 2019-09-05 16:15:36 UTC
Changing component, as the guide and report style are defined within `oscap` utility.

Comment 2 Jan Černý 2020-01-09 08:03:28 UTC
Fixed upstream in https://github.com/OpenSCAP/openscap/pull/1451


Note You need to log in before you can comment on or make changes to this bug.